# AuthParams (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.userauth
Interface AuthParams

    public interface AuthParams

The parameters available to authentication methods.

Method Summary
`String` `getNextServiceName()`
`Transport` `getTransport()`
`String` `getUsername()`

Method Detail

### getNextServiceName

    String getNextServiceName()

  Returns:
    name of the next service being requested

### getTransport

    Transport getTransport()

  Returns:
    the transport which will allow sending packets; retrieving information like the session-id, remote host/port etc. which is needed by some method.

### getUsername

    String getUsername()

  Returns:
    all userauth requests need to include the username

Copyright © 2009-2011. All Rights Reserved.